.footer__contact {
    max-width: 250px;
}

.affiliate .why__text {
    padding-left: 30px;
}

.affiliate .why__text {
    max-width: 100%;
}

.affiliate .banner__title {
    font-size: 43px;
    line-height: 52px;
    margin-bottom: 56px;
}

.affiliate .girl {
    width: 130%;
    margin: -270px 0 0 -80px;
}

.affiliate .banner {
    margin-top: 100px;
}

.affiliate .why__row {
    display: -webkit-box;
}

@media screen and (max-width: 768px) {
    .affiliate .banner__title {
        font-weight: 500;
        font-size: 22px;
        line-height: 27px;
        text-align: center;
    }

    .affiliate .banner__right {
        background: none;
        display: none;
    }

    .affiliate .girl {
        display: none;
    }
}


.affiliate .banner__right {
    width: 64.6%;
    height: 500px;
    margin-left: -8.73%;
    background: url(/offers/smspoisk/images/banner-phone.png), url(/offers/smspoisk/images/banner-line.svg), -webkit-gradient(linear, left top, right top, from(#62e6c9), to(#48b1bf));
    background: url(/offers/smspoisk/images/banner-phone.png), url(/offers/smspoisk/images/banner-line.svg), -o-linear-gradient(left, #62e6c9 0, #48b1bf 100%);
    background: url(/offers/smspoisk/images/banner-phone.png), url(/offers/smspoisk/images/banner-line.svg), linear-gradient(90deg, #62e6c9, #48b1bf);
    background-position: 100% 0, top -27px right, 0 0;
    background-repeat: no-repeat, no-repeat, repeat;
    border-radius: 30px;
    padding: 40px;
    margin-top: 40px;
    position: relative;
}

.error {
    margin-top: 10px;
    font-size: x-small;
    color: #FF0000;
}

.big-error {
    margin-bottom: 50px;
    font-size: small;
    text-align: center;
    color: #FF0000;
    margin-top: 16px;
}

.history__status.forbidden {
    background: var(--cred);
    color: #fff;
}

.history__status.new {
    border: 1px solid var(--cgray);
    color: var(--cgray);
}

.hidden {
    display: none;
}

.why .content {
    position: relative;
    z-index: 2;
}

.form input.has_error {
    border: 1px solid var(--cred);
}

.checkbox__required-text {
    margin-bottom: 20px;
}

.social__network__container {
    display: flex;
    flex-direction: column;
    align-content: center;
    width: 70%;
    margin-inline: auto;
    margin-block: 10px;
}

.yandex {
    display: flex;
    align-items: center;
    justify-content: center;
}

.smspoisk_block {
    width: 100%;
    height: 100%;
    margin: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.smspoisk_container {
    position: relative;
    width: 100%;
    max-height: 844px;
    height: 100%;
    background: -o-linear-gradient(319.09deg, #007991 -24.45%, #78FFD6 187.23%), #FFFFFF;
    background: linear-gradient(130.91deg, #007991 -24.45%, #78FFD6 187.23%), #FFFFFF;
    margin: auto;
    padding: 20px;
    z-index: 0;
    border-radius: 13px;
    overflow: hidden;
}

.smspoisk_container::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: center / cover no-repeat url(./../images/bg-1.svg);
    z-index: -1;
}

.smspoisk_container-step-2::before {
    background: center / cover no-repeat url(./../images/bg-2.svg);
}

.smspoisk_container-step-3::before {
    top: 0;
    background: center / cover no-repeat url(./../images/bg-3.svg);
}

.smspoisk_block__title {
    font-family: 'Inter';
    font-weight: 500;
    font-size: 22px;
    line-height: 27px;
    text-align: center;
    color: #FFFFFF;
    margin-bottom: 10px;
    margin-top: 0;
}

.smspoisk_block__desc {
    font-family: 'Inter';
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    text-align: center;
    color: #FFFFFF;
    margin-bottom: 23px;
}

.smspoisk_block__img {
    max-width: 257px;
    height: 557px;
    margin: 0 auto 12px;
    -webkit-box-shadow: 0px 5px 64px rgba(14, 136, 153, 0.32);
    box-shadow: 0px 5px 64px rgba(14, 136, 153, 0.32);
    border-radius: 20px;
}

.smspoisk_block__img img {
    width: 100%;
    height: 100%;
}

.smspoisk_block__steps {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: 3.5px 10px;
    background: rgba(68, 76, 80, 0.64);
    border-radius: 21px;
    max-width: 61px;
    margin: 0 auto 75px;
}

.smspoisk_block__steps p {
    font-family: 'Inter';
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    text-align: center;
    color: #FFFFFF;
}

/*.smspoisk_block__button {*/
/*    position: absolute;*/
/*    width: 75%;*/
/*    max-width: 390px;*/
/*    bottom: 20px;*/
/*    z-index: 1;*/
/*    left: 50%;*/
/*    transform: translateX(-50%);*/
/*}*/

.smspoisk-block__button {
    position: fixed;
    width: 75%;
    max-width: 390px;
    bottom: 20px;
    padding: 77px 0px 32px;
    pointer-events: none;
    z-index: 1;
    left: 50%;
    transform: translateX(-50%);
}
.smspoisk-block__button button {
    pointer-events: auto;
}

.smspoisk_container-step-3 .smspoisk_block__title {
    margin-bottom: 42px;
}

.smspoisk_container-step-3 .smspoisk_block__img {
    max-width: 268px;
    height: 530px;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.smspoisk_loader-wrap {
    position: relative;
}

.smspoisk_loader-wrap span {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    font-family: 'Inter';
    font-weight: 400;
    font-size: 10px;
    line-height: 100%;
    text-align: center;
    color: #FFFFFF;
}

.smspoisk_loader {
    width: 22px;
    padding: 4px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: conic-gradient(rgba(255, 255, 255, 0) 0deg, #FFFFFF 360deg);
    --_m:
        conic-gradient(#0000 10%,#000),
        linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
}

@keyframes l3 {to{transform: rotate(1turn)}}

.smspoisk_block__button:disabled {
    background: #3F684E;
    gap: 10px;
}

@media screen and (max-width: 900px) {
    .modal {
        border-radius: unset !important;
        margin: 0 auto!important;
        padding: 0 !important;
    }

    .smspoisk_container {
        border-radius: 0 !important;
        min-height: 100vh;
    }

    .smspoisk_block {
        height: auto;
    }
}

@media screen and (min-height: 840px) {

    .smspoisk_block__steps {
        margin-bottom: 20px;
    }


    .smspoisk-block__button {
        padding: 0;
        position: relative;
        left: inherit;
        transform: translateX(0);
        bottom: 0;
        margin: 0 auto;
    }
}
